Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.wst.server.core.model
Interface IModuleResourceDelta

    public interface IModuleResourceDelta

A module resource delta.

Since:
  1.0

Field Summary
`static int` | `ADDED` Kind constant (value 1) for added resources.
`static int` | `CHANGED` Kind constant (value 2) for changed resources.
`static int` | `NO_CHANGE` Kind constant (value 0) for no change.
`static int` | `REMOVED` Kind constant (value 3) for removed resources.

Method Summary
`IModuleResourceDelta[]` | `getAffectedChildren()` Returns module resource deltas for all children of this resource which were added, removed, or changed.
`int` | `getKind()` Returns the kind of this resource delta.
`IPath` | `getModuleRelativePath()` Returns the module-relative path of this resource delta.
`IModuleResource` | `getModuleResource()` Returns the module resource represented by this delta.

Field Detail

### NO_CHANGE

    static final int NO_CHANGE

  Kind constant (value 0) for no change.

  See Also:
    `getKind()`, Constant Field Values

### ADDED

    static final int ADDED

  Kind constant (value 1) for added resources.

  See Also:
    `getKind()`, Constant Field Values

### CHANGED

    static final int CHANGED

  Kind constant (value 2) for changed resources.

  See Also:
    `getKind()`, Constant Field Values

### REMOVED

    static final int REMOVED

  Kind constant (value 3) for removed resources.

  See Also:
    `getKind()`, Constant Field Values

Method Detail

### getModuleResource

    IModuleResource getModuleResource()

  Returns the module resource represented by this delta.

  Returns:
    the corresponding module resource

### getKind

    int getKind()

  Returns the kind of this resource delta. Normally, one of `ADDED`, `REMOVED`, `CHANGED`.

  Returns:
    the kind of this resource delta
  See Also:
    `ADDED`, `REMOVED`, `CHANGED`

### getAffectedChildren

    IModuleResourceDelta[] getAffectedChildren()

  Returns module resource deltas for all children of this resource which were added, removed, or changed. Returns an empty array if there are no affected children.

  This is a convenience method, fully equivalent to:

         getAffectedChildren(ADDED | REMOVED | CHANGED, IResource.NONE);

  Returns:
    the resource deltas for all affected children
  See Also:
    `ADDED`, `REMOVED`, `CHANGED`

### getModuleRelativePath

    IPath getModuleRelativePath()

  Returns the module-relative path of this resource delta. Returns the empty path for resources in the module root.

  A resource's module-relative path indicates the route from the module to the resource. Within a module, there is exactly one such path for any given resource. The returned path never has a trailing separator.

  Returns:
    the module-relative path of this resource delta
  See Also:
    `IModuleResource.getModuleRelativePath()`

Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD